Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.comics
Class Goblins

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.IndexedComic
                  com.blogspot.applications4android.comicreader.comictypes.ArchivedComic
                      com.blogspot.applications4android.comicreader.comics.Goblins

    public class Goblins

extends ArchivedComic

Field Summary

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.ArchivedComic
`mComicUrls`

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.IndexedComic
`mBound, mLatestId`

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`Goblins()`

Method Summary
`protected java.lang.String[]` | `getAllComicUrls(java.io.BufferedReader reader)` Main function responsible for parsing the archive url and generating the list of all comic urls.
`protected java.lang.String` | `getArchiveUrl()` Return the archive url
`java.lang.String` | `getComicWebPageUrl()` Get the main page url for the current comic series
`protected boolean` | `htmlNeeded()` Whether one needs to parse the html file in order to find the strip url
`protected java.lang.String` | `parse(java.lang.String url, java.io.BufferedReader reader, Strip strip)` Function to read every line from the reader and extract strip-info

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.ArchivedComic
`fetchAllComicUrls, getFirstId, getFrontPageUrl, getIdFromStripUrl, getLatestStripUrl, getStripUrlFromId, parseForLatestId, queryUid`

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.IndexedComic
`addException, dialogType, getBound, getCurrentId, getFirstStripUrl, getLatestId, getNextStripUrl, getPreviousStripUrl, getRandomStripUrl, urlsNotForCaching`

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic
`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousSessionStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Goblins

    public Goblins()

Method Detail

### getComicWebPageUrl

    public java.lang.String getComicWebPageUrl()

  Description copied from class: `Comic`
  Get the main page url for the current comic series

  Specified by:
    `getComicWebPageUrl` in class `Comic`
  Returns:
    desired url

### getAllComicUrls

    protected java.lang.String[] getAllComicUrls(java.io.BufferedReader reader)
                                          throws java.io.IOException

  Description copied from class: `ArchivedComic`
  Main function responsible for parsing the archive url and generating the list of all comic urls.

  Specified by:
    `getAllComicUrls` in class `ArchivedComic`
  Parameters:
    `reader` - buffered reader from which to parse the comic urls.
  Returns:
    array of comic url strings
  Throws:
    `java.io.IOException`

### getArchiveUrl

    protected java.lang.String getArchiveUrl()

  Description copied from class: `ArchivedComic`
  Return the archive url

  Specified by:
    `getArchiveUrl` in class `ArchivedComic`
  Returns:
    url

### htmlNeeded

    protected boolean htmlNeeded()

  Description copied from class: `ComicParser`
  Whether one needs to parse the html file in order to find the strip url

  Specified by:
    `htmlNeeded` in class `ComicParser`
  Returns:
    true if html is needed, else false

### parse

    protected java.lang.String parse(java.lang.String url,
                                     java.io.BufferedReader reader,
                                     Strip strip)
                              throws java.io.IOException

  Description copied from class: `ComicParser`
  Function to read every line from the reader and extract strip-info

  Specified by:
    `parse` in class `ComicParser`
  Parameters:
    `url` - html page url
    `reader` - reader
    `strip` - the strip where to store the info
  Returns:
    the strip url
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD